package com.ruoyi.ems.mapper;

import com.ruoyi.ems.domain.DeviceLedger;

import java.util.List;

/**
 * 设备台账Mapper接口
 *
 * @author ruoyi
 * @date 2024-09-10
 */
public interface DeviceLedgerMapper {
    /**
     * 查询设备台账
     *
     * @param id 设备台账主键
     * @return 设备台账
     */
    DeviceLedger selectDeviceLedgerById(Long id);

    /**
     * 查询设备台账列表
     *
     * @param ledger 设备台账
     * @return 设备台账集合
     */
    List<DeviceLedger> selectDeviceLedgerList(DeviceLedger ledger);

    /**
     * 新增设备台账
     *
     * @param ledger 设备台账
     * @return 结果
     */
    int insertDeviceLedger(DeviceLedger ledger);

    /**
     * 修改设备台账
     *
     * @param ledger 设备台账
     * @return 结果
     */
    int updateDeviceLedger(DeviceLedger ledger);

    /**
     * 删除设备台账
     *
     * @param id 设备台账主键
     * @return 结果
     */
    int deleteDeviceLedgerById(Long id);

    /**
     * 批量删除设备台账
     *
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    int deleteDeviceLedgerByIds(Long[] ids);
}
